html,
body {
  margin: 0;
  padding: 0;
}

body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  background: black;
  touch-action: none;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

canvas {
  z-index: 0;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: black;
}

#clickOverlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5); /* semi-transparent black background */
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  font-family: 'Arial', sans-serif; /* Arial is a common sans-serif font */
  z-index: 1000; /* Make sure it's on top of other elements */
  transition: opacity 2s ease-in-out; /* Smooth transition for the opacity */
  opacity: 1; /* Start fully visible */
}